<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import IndustryTemplate from '~/components/solutions/templates/industry-template.vue';

import { getPageMetadata } from '~/common/meta';
import { TEMPLATES } from '~/common/constants';

export default Vue.extend({
  components: {
    IndustryTemplate,
  },
  nuxtI18n: false,
  async asyncData({ $solutionsNonprofitService }: any) {
    try {
      const solutions = await $solutionsNonprofitService.getContent(
        `solutions/nonprofit/join`,
      );
      return { solutions };
    } catch (e) {
      throw new Error(e);
    }
  },
  data() {
    return {
      TEMPLATES,
    };
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).solutions, this.$route.path);
  },
});
</script>

<template>
  <industry-template :solutions="solutions" />
</template>
